Package com.complexible.stardog.metadata

# Class ConfigProperty<T>

java.lang.Object
com.complexible.stardog.metadata.MetaProperty<T>
com.complexible.stardog.metadata.ConfigProperty<T>

public final class ConfigProperty<T> extends MetaProperty<T>
Representation of a configuration option. This is a specialized meta property for which a value `may be provided` at database creation time and its value `may be modified` later.

Since:
  0.9
Version:
  0.9
Author:
  Evren Sirin
See Also:
  - `Metadata`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.complexible.stardog.metadata.MetaProperty

  `MetaProperty.Builder<T,P extends MetaProperty<T>>, MetaProperty.Flag`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Option<T>`
  `asOption()`
  `boolean`
  `isConfig()`
  `boolean`
  `isCreatable()`
  `boolean`
  `isWritable()`
  `boolean`
  `isWritableOnline()`

  ### Methods inherited from class com.complexible.stardog.metadata.MetaProperty

  `config, config, config, config, configList, equals, getByteIO, getCategory, getCollectionType, getDefaultValue, getDescription, getGraphIO, getLabel, getName, getPermission, getPossibleValues, getSystemDefaultValue, getTextIO, getType, hashCode, info, info, info, isDatabase, isDiskIndex, isIndex, isInfo, isMemoryIndex, isReadable, isSecure, isServer, isTemporary, isValid, setByteIO, setCategory, setDescription, setGraphIO, setLabel, setTextIO, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### isConfig

    public boolean isConfig()
    Overrides:
      `isConfig` in class `MetaProperty<T>`

  - ### isWritable

    public boolean isWritable()

  - ### isWritableOnline

    public boolean isWritableOnline()
    Overrides:
      `isWritableOnline` in class `MetaProperty<T>`

  - ### isCreatable

    public boolean isCreatable()

  - ### asOption

    public Option<T> asOption()